Subject: Re: [PATCH net-next 2/5] net/rxrpc: Use local FCrypt-PCBC implementation

From: Eric Biggers <[email-masked]>
Date: Fri, 15 May 2026 20:14:16 +0000

On Fri, May 08, 2026 at 07:56:43PM +0100, David Howells wrote:
> Eric Biggers <[email-masked]> wrote:
> 
> > Also I'm waiting to see if the following patch gets merged:
> > https://lore.kernel.org/netdev/[email-masked]/
> 
> This is the favoured solution:
> 
> 	https://lore.kernel.org/netdev/af2kdW2F1gJ9U-Gg@v4bel/
> 
> The problem with the one you mentioned is that it does a mandatory copy, even
> when it doesn't need to, for rxgk.  I can benchmark that to see what the
> performance impact it has.

Seems that the latest is now
https://lore.kernel.org/netdev/[email-masked]/
which is back to just using a linear buffer unconditionally.  I'll
resend this series after that goes in.

- Eric